Dashboard login issue on fresh devstack installation

asked 2020-05-31 03:56:48 -0500

pmilind1999 gravatar image

updated 2020-06-01 11:47:59 -0500

Hi, I am trying to deploy openstack along with monasca monitoring tool using devstack. I was able to successfully run ./stack.sh on ubuntu 18.04 and able to see the dashboard. However when I try to login as admin it says "An error occurred authenticating. Please try again later", even though I am entering the correct password mentioned in the local.conf file.

I have checked if keysotne is running by doing

 sudo systemctl status devstack@keystone.service

and it returns that keystone is active(running).

I see this in var/log/apache2/horizon_error.log:

2020-06-01 06:27:50.938592 DEBUG openstack_auth.backend Beginning user authentication
2020-06-01 06:27:50.939147 DEBUG openstack_auth.plugin.password Attempting to authenticate for admin
2020-06-01 06:27:50.939477 DEBUG keystoneauth.identity.v3.base Making authentication request to http://10.42.69.107/identity/v3/auth/tokens
2020-06-01 06:27:50.947011 DEBUG keystoneauth.session Request returned failure status: 500
2020-06-01 06:27:50.947143 DEBUG openstack_auth.plugin.base Internal Server Error (HTTP 500)
2020-06-01 06:27:50.947211 INFO openstack_auth.forms Login failed for user "admin" using domain "Default", remote address 10.192.190.55.
2020-06-01 06:27:50.961576 DEBUG django.template Exception while resolving variable 'logout_reason' in template 'auth/login.html'.
2020-06-01 06:27:50.961587 Traceback (most recent call last):
2020-06-01 06:27:50.961590   File "/usr/local/lib/python3.6/dist-packages/django/template/base.py", line 829, in _resolve_lookup
2020-06-01 06:27:50.961593     current = current[bit]
2020-06-01 06:27:50.961596 KeyError: 'logout_reason'
2020-06-01 06:27:50.961599
2020-06-01 06:27:50.961601 During handling of the above exception, another exception occurred:
2020-06-01 06:27:50.961604
2020-06-01 06:27:50.961606 Traceback (most recent call last):
2020-06-01 06:27:50.961609   File "/usr/local/lib/python3.6/dist-packages/django/template/base.py", line 837, in _resolve_lookup
2020-06-01 06:27:50.961612     current = getattr(current, bit)
2020-06-01 06:27:50.961615 AttributeError: 'dict' object has no attribute 'logout_reason'
2020-06-01 06:27:50.961617
2020-06-01 06:27:50.961620 During handling of the above exception, another exception occurred:
2020-06-01 06:27:50.961622
2020-06-01 06:27:50.961625 Traceback (most recent call last):
2020-06-01 06:27:50.961627   File "/usr/local/lib/python3.6/dist-packages/django/template/base.py", line 843, in _resolve_lookup
2020-06-01 06:27:50.961630     current = current[int(bit)]
2020-06-01 06:27:50.961633 ValueError: invalid literal for int() with base 10: 'logout_reason'
2020-06-01 06:27:50.961635
2020-06-01 06:27:50.961638 During handling of the above exception, another exception occurred:
2020-06-01 06:27:50.961640
2020-06-01 06:27:50.961643 Traceback (most recent call last):
2020-06-01 06:27:50.961645   File "/usr/local/lib/python3.6/dist-packages/django/template/base.py", line 850, in _resolve_lookup
2020-06-01 06:27:50.961648     (bit, current))  # missing attribute
2020-06-01 06:27:50.961652 django.template.base.VariableDoesNotExist: Failed lookup for key [logout_reason] in {'csrftoken': 'qO77qpvmVy8VWM4wlvZppAF7ZD4dSYBbXeWmQaRgH3bBLUiRoG0Esq535bSN5j14', 'login_region': 'default', 'login_domain': '', 'sessionid': '5pkb2l4cyxwguy4vbp7uhful2iha199l'}
2020-06-01 06:27:50.961669

my local ... (more)

edit retag flag offensive close merge delete

Comments

There should also be a Keystone log with more information. And/or the journal journalctl -u devstack@keystone.

I would also like to see the result of curl http://10.42.66.86/identity, to check if Keystone responds.

Bernd Bausch gravatar imageBernd Bausch ( 2020-05-31 05:49:15 -0500 )edit

thank you for responding! when I do a google search of where keystone logs are located it says /var/log/apache2/ but i don't find any keystone log there. I have ran the two commands you mentioned and added the output in the main question.

pmilind1999 gravatar imagepmilind1999 ( 2020-05-31 06:47:01 -0500 )edit

There should be a log file under /var/log/apache2. If not, something is very wrong. As confirmed by the result of the curl command, which queries the installed Keystone API versions.

You may find more in the Apache error log or the stack.sh log, but perhaps it's easier to restart from scratch.

Bernd Bausch gravatar imageBernd Bausch ( 2020-05-31 11:26:13 -0500 )edit

CORRECTION: I am looking at an Ussuri Devstack, and there is no keystone log file in /var/log/apache2. However, you should have log messages in the journal. If your journal consists of the three entries above, there is a problem.

Bernd Bausch gravatar imageBernd Bausch ( 2020-05-31 23:59:09 -0500 )edit

I switched to a different machine(Ubuntu 18.04) and installed devstack, still get getting exact same errors(not able to log in to dashboard), i used more minimal local.conf this time. I have updated the main question with the errors that came up while running ./stack.sh and the fixes i used.

pmilind1999 gravatar imagepmilind1999 ( 2020-06-01 02:00:30 -0500 )edit